import BN from 'bn.js';
import { Account } from 'near-api-js';
import { FungibleTokenMetadata } from './types';
import { FtTransferArgs, FtTransferCallArgs } from './transaction';
export * from './native-near';
export * from './types';
export declare function ftMetadata(account: Account, tokenId: string): Promise<FungibleTokenMetadata>;
export declare function ftOrNativeNearMetadata(account: Account, tokenId: string): Promise<FungibleTokenMetadata>;
/**
 * Get balance of the account as a BN
 */
export declare const ftBalanceOf: (account: Account, tokenId: string, accountId: string) => Promise<BN>;
export declare function ftTransfer(account: Account, tokenId: string, args: FtTransferArgs, gas?: BN, attachedDeposit?: BN): Promise<{
    executionOutcome: import("@near-wallet-selector/core").FinalExecutionOutcome;
    response: any;
}>;
export declare function ftTransferCall(account: Account, tokenId: string, args: FtTransferCallArgs, gas?: BN, attachedDeposit?: BN): Promise<{
    executionOutcome: import("@near-wallet-selector/core").FinalExecutionOutcome;
    response: any;
}>;
