import { StandardNearFunctionCall } from '@tonic-foundation/transaction/lib/shim';
import BN from 'bn.js';
export interface FtTransferArgs {
    /**
     * ID of account to send to
     */
    receiverId: string;
    /**
     * Amount to send
     */
    amount: BN;
}
export declare function ftTransfer(tokenId: string, args: FtTransferArgs, gas: BN, attachedDeposit?: BN): StandardNearFunctionCall;
export interface FtTransferCallArgs {
    /**
     * ID of account to send to
     */
    receiverId: string;
    /**
     * Amount to send
     */
    amount: BN;
    /**
     * For full control of what gets sent, pass the message as a string.
     */
    msg?: string;
}
export declare function ftTransferCall(tokenId: string, args: FtTransferCallArgs, gas: BN, attachedDeposit?: BN): StandardNearFunctionCall;
