"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ftTransferCall = exports.ftTransfer = void 0;
const shim_1 = require("@tonic-foundation/transaction/lib/shim");
const bn_js_1 = __importDefault(require("bn.js"));
function ftTransfer(tokenId, args, gas, attachedDeposit = new bn_js_1.default(1)) {
    return new shim_1.StandardNearFunctionCall({
        contractId: tokenId,
        methodName: 'ft_transfer',
        args: {
            receiver_id: args.receiverId,
            amount: args.amount.toString(),
        },
        gas,
        attachedDeposit,
    });
}
exports.ftTransfer = ftTransfer;
function ftTransferCall(tokenId, args, gas, attachedDeposit = new bn_js_1.default(1)) {
    return new shim_1.StandardNearFunctionCall({
        contractId: tokenId,
        methodName: 'ft_transfer_call',
        args: {
            receiver_id: args.receiverId,
            amount: args.amount.toString(),
            msg: args.msg,
        },
        gas,
        attachedDeposit,
    });
}
exports.ftTransferCall = ftTransferCall;
